Image styles
curl --request GET \
--url https://ai.wisepilot.app/api/v1/brand/image-styles \
--header 'Authorization: Bearer <token>'import requests
url = "https://ai.wisepilot.app/api/v1/brand/image-styles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ai.wisepilot.app/api/v1/brand/image-styles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "<string>",
"styleName": "<string>",
"styleDescription": "<string>",
"perspectiveAngle": "<string>",
"compositionType": "<string>",
"primarySubjectTemplate": "<string>",
"backgroundTreatment": "<string>",
"colorPaletteId": "<string>",
"colorPalette": {
"id": "<string>",
"paletteName": "<string>",
"paletteDescription": "<string>",
"primaryFill": "<string>",
"accentFill": "<string>",
"trimColor": "<string>",
"shadowColor": "<string>",
"groundColor": "<string>",
"skyGradient": {},
"avoidColors": [
"<string>"
],
"status": "<string>"
},
"styleAesthetic": "<string>",
"technicalStyle": "<string>",
"mood": "<string>",
"textureGrain": "<string>",
"lightingStyle": "<string>",
"defaultFormat": "<string>",
"negativePrompts": [
"<string>"
],
"status": "<string>"
}
]
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Brand
Image styles
Brand image styles with aesthetic direction, composition, and linked color palettes.
GET
/
brand
/
image-styles
Image styles
⌘I